# Created by pyp2rpm-3.2.1
%global pypi_name linotype

Name:           python-%{pypi_name}
Version:        0.2.1
Release:        1%{?dist}
Summary:        Automatically format help messages

License:        GPLv3
URL:            https://github.com/lostatc/linotype
Source0:        https://files.pythonhosted.org/packages/source/l/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools

%description
See GitHub page for more details.

%package -n     python3-%{pypi_name}
Summary:        Automatically format help messages
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-sphinx
%description -n python3-%{pypi_name}
See GitHub page for more details.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install


%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
